<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Net.Mail" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void btnGetQuestion_Click(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            lblMsg.Text = "";
            con.Open();
            SqlCommand cmd = new SqlCommand("select * from contractors where email = @email", con);
            cmd.Parameters.Add("@email", SqlDbType.VarChar, 30).Value = txtEmail.Text;
            SqlDataReader dr = cmd.ExecuteReader();
            if (dr.Read())
            {
                txtQuestion.Text = dr["hintq"].ToString();
                Session.Add("pwd", dr["pwd"]);
                Session.Add("uname", dr["uname"]);
                Session.Add("correctanswer", dr["hinta"]);
            }
            else
                lblMsg.Text = "Sorry! Email address is not found!";
            dr.Close();

        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error-->" + ex.Message;
        }
        finally
        {
            con.Close();
        }
        

    }

    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        
        
        if (! txtAnswer.Text.Equals(Session["correctanswer"].ToString()) )
        {
            lblMsg.Text  = "Sorry. Answer is not correct";
            return; 
        }

        MailMessage m = new MailMessage();
        m.From = new MailAddress("admin@classroom.com");
        m.To.Add(new MailAddress(txtEmail.Text));
        m.Subject = "Forgot password service";
        m.IsBodyHtml = true;
        m.Body = "Dear Contractor,<p>Use the following details to login.<p> Uname : " + Session["uname"].ToString() + "<br>Password :" + Session["pwd"].ToString() + "<p>Admin,<br>OnlineTenders.Com";

        SmtpClient server = new SmtpClient("classroom");
        server.Send(m);
        lblMsg.Text = "A mail has been sent to your email address with login details. Please use those details to login <p>Thank you for using this site.";
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h2>
            Forgot Password</h2>
            <br />
            <table>
                <tr>
                    <td>
                        Enter email address :
                    </td>
                    <td >
                        <asp:TextBox ID="txtEmail" runat="server"></asp:TextBox>
                        <asp:Button ID="btnGetQuestion" runat="server" OnClick="btnGetQuestion_Click" Text="Get Hint Question" /></td>
                </tr>
                <tr>
                    <td >
                        Hint Question :
                    </td>
                    <td >
                        <asp:TextBox ID="txtQuestion" runat="server" ReadOnly="True" Width="308px"></asp:TextBox></td>
                </tr>
                <tr>
                    <td >
                        Answer :
                    </td>
                    <td >
                        <asp:TextBox ID="txtAnswer" runat="server" Width="306px"></asp:TextBox>
                        </td>
                </tr>
            </table>
        <p>
            <asp:Button ID="btnSubmit" runat="server" Text="Submit" OnClick="btnSubmit_Click" />
        </p>
        <p>
            <asp:Label ID="lblMsg" runat="server"></asp:Label>&nbsp;</p>
        <p>
        <a href="../login.aspx">Login Page</a>
    
    </div>
    </form>
</body>
</html>
