<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    protected void btnChange_Click(object sender, EventArgs e)
    {

        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand(" update contractors set pwd = @newpwd where uname = @uname and pwd = @oldpwd", con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"];
            cmd.Parameters.Add("@oldpwd", SqlDbType.VarChar, 10).Value = txtOldPwd.Text; 
            cmd.Parameters.Add("@newpwd", SqlDbType.VarChar, 10).Value = txtNewPwd.Text;
            if (cmd.ExecuteNonQuery() == 1)
                lblMsg.Text = "Password changed successfully!";
            else
                lblMsg.Text = "Old password is incorrect. Please try again!";  
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error-->" + ex.Message;
        }
        finally
        {
            con.Close();
        }

    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h2>
        Change Password</h2>
    <p>
        <table>
            <tr>
                <td style="width: 222px; height: 26px">
                    Enter old password :</td>
                <td style="width: 176px; height: 26px">
                    <asp:TextBox ID="txtOldPwd" runat="server" TextMode="Password"></asp:TextBox></td>
            </tr>
            <tr>
                <td style="width: 222px">
                    Enter new password :
                </td>
                <td style="width: 176px">
                    <asp:TextBox ID="txtNewPwd" runat="server" TextMode="Password"></asp:TextBox></td>
            </tr>
            <tr>
                <td style="width: 222px">
                    Enter new password again :
                </td>
                <td style="width: 176px">
                    <asp:TextBox ID="txtNewPwd2" runat="server" TextMode="Password"></asp:TextBox></td>
            </tr>
        </table>
    </p>
    <p>
        <asp:Button ID="btnChange" runat="server" OnClick="btnChange_Click" Text="Change Password" />&nbsp;</p>
    <p>
        <asp:Label ID="lblMsg" runat="server" Font-Bold="True"></asp:Label>&nbsp;</p>
    <p>
        &nbsp;</p>
</asp:Content>

