<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            SqlConnection con = new SqlConnection(Database.ConnectionString);
            try
            {
                con.Open();
                SqlCommand cmd = new SqlCommand("select exp from contractors where uname = @uname", con);
                cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"];
                txtExp.Text = cmd.ExecuteScalar().ToString();
                txtCname.Text = Session["cname"].ToString();
            }
            catch (Exception ex)
            {
                lblMsg.Text = "Error-->" + ex.Message;
            }
            finally
            {
                con.Close();
            }

        }
        

    }

    protected void btnChange_Click(object sender, EventArgs e)
    {

        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand(" update contractors set cname = @cname, exp = @exp where uname = @uname", con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"];
            cmd.Parameters.Add("@cname", SqlDbType.VarChar, 30).Value = txtCname.Text;
            cmd.Parameters.Add("@exp", SqlDbType.VarChar, 50).Value = txtExp.Text;
            if (cmd.ExecuteNonQuery() == 1)
                lblMsg.Text = "Profile updated successfully!";
            else
                lblMsg.Text = "Profile could not be updated.";
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error-->" + ex.Message;
        }
        finally
        {
            con.Close();
        }

    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h2>
        Change Profile</h2>
    <table>
        <tr>
            <td style="width: 158px">
                Contractor Name :
            </td>
            <td style="width: 259px">
                <asp:TextBox ID="txtCname" runat="server"></asp:TextBox></td>
        </tr>
        <tr>
            <td style="width: 158px; height: 88px" valign="top">
                Experience :
            </td>
            <td style="width: 259px; height: 88px">
                <asp:TextBox ID="txtExp" runat="server" Height="74px" TextMode="MultiLine" Width="251px"></asp:TextBox></td>
        </tr>
    </table>
    <br />
    <asp:Button ID="btnChange" runat="server" Text="Change Profile" OnClick="btnChange_Click" /><br />
    <br />
    <asp:Label ID="lblMsg" runat="server"></asp:Label><br />
</asp:Content>

