<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" Title="Untitled Page" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>


<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        if (! Page.IsPostBack)
        {
            String jobid;

            jobid = Request.QueryString["jobid"];
            hlTenders.NavigateUrl = "jobtenders.aspx?jobid=" + jobid;
            Session.Add("jobid", jobid); 
        }
       
        
    }

    protected void btnFileTender_Click(object sender, EventArgs e)
    {

        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand(" insert into tenders values(@jobid,@uname,getdate(),@amount)", con);
            cmd.Parameters.Add("@uname", SqlDbType.VarChar, 10).Value = Session["uname"];
            cmd.Parameters.Add("@jobid", SqlDbType.Int).Value = Session["jobid"];
            cmd.Parameters.Add("@amount", SqlDbType.Money).Value = txtAmount.Text;
            cmd.ExecuteNonQuery();
            lblMsg.Text = "Tender Filed Successfully!"; 

        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error-->" + ex.Message;
        }
        finally
        {
            con.Close();
        }
       
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h2>
        Job Details</h2>
    <p>
        <asp:DetailsView ID="DetailsView1" runat="server"  AutoGenerateRows="False" DataKeyNames="jobid" DataSourceID="SqlDataSource1">
            <Fields>
                <asp:BoundField DataField="jobid" HeaderText="jobid" ReadOnly="True" SortExpression="jobid" />
                <asp:BoundField DataField="jobtitle" HeaderText="jobtitle" SortExpression="jobtitle" />
                <asp:BoundField DataField="location" HeaderText="location" SortExpression="location" />
                <asp:BoundField DataField="duration" HeaderText="duration" SortExpression="duration" />
                <asp:BoundField DataField="description" HeaderText="description" SortExpression="description" />
                <asp:BoundField DataField="duedate" HeaderText="duedate" SortExpression="duedate" />
            </Fields>
        </asp:DetailsView>
        &nbsp;</p>
    <p>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT * FROM [jobs] WHERE ([jobid] = @jobid)">
            <SelectParameters>
                <asp:QueryStringParameter Name="jobid" QueryStringField="jobid" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
        <strong>
        Enter your tender amount </strong>:
        <asp:TextBox ID="txtAmount" runat="server"></asp:TextBox></p>
    <p>
        <asp:Button ID="btnFileTender" runat="server" Text="File Tender" OnClick="btnFileTender_Click" />&nbsp;</p>
    <p>
        <asp:Label ID="lblMsg" runat="server"></asp:Label>&nbsp;</p>
    <p>
        <asp:HyperLink ID="hlTenders" runat="server">Show Other Tends</asp:HyperLink>&nbsp;</p>
    <p>
        &nbsp;</p>
    <p>
        &nbsp;</p>
</asp:Content>

